<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Models\User;
use App\Models\pasiens;
use App\Models\jadwals;
use Auth;

class JadwalsController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $data = jadwals::where('del',0)->get();
        return view('jadwals/index', compact('data'));
    }

    public function store(Request $request)
    {
        $forms = $request->all();
        $validator = Validator::make($request->all(), [
            'kode_jadwal' => ['required'],
            'nama' => ['required'],
            'jam' => ['required'],
            'hari' => ['required'],
        ]);
        if ($validator->fails()) {
            return back()->with(['error'=>'Data Tidak Lengkap.']);
        }else{
            $cek = jadwals::where('del',0)->where('kode_jadwal',$forms['kode_jadwal'])->first();
            if (isset($cek)) {
                return back()->with(['warning'=>'Kode Jadwal Sudah Dipakai.']);
            }else{
                jadwals::create($forms);
                return back()->with(['success'=>'Data Berhasil Disimpan.']);
            }
        }
    }

    public function update(Request $request)
    {
        $forms = $request->all();
        $cek = jadwals::find($forms['id']);
        if(isset($cek)){
            $cek2 = jadwals::where('del',0)->where('kode_jadwal',$forms['kode_jadwal'])->first();
            if(isset($cek2)){
                if($cek->id != $cek2->id){
                    return back()->with(['warning'=>'Kode Jadwal Sudah Dipakai.']);
                }
            }
            $cek->update($forms);
            return back()->with(['success'=>'Data berhasil diupdate.']);
        }else{
            return back()->with(['error'=>'Data Tidak Ada.']);
        }
    }

    public function hapus(Request $request)
    {
        $forms = $request->all();
        $cek = jadwals::find($forms['id']);
        if(isset($cek)){
            $cek->update(['del'=>1]);
            return back()->with(['warning'=>'Data berhasil dihapus.']);
        }else{
            return back()->with(['error'=>'Data Tidak Ada.']);
        }
    }
}
