<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use App\Models\User;
use App\Models\pasiens;
use App\Models\polis;
use Auth;

class PasiensController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $data = pasiens::where('del',0)->get();
        return view('pasiens/index', compact('data'));
    }

    public function store(Request $request)
    {
        $forms = $request->all();
        $validator = Validator::make($request->all(), [
            'no_rm' => ['required'],
            'nik' => ['required'],
            'nama' => ['required'],
            'ttl' => ['required'],
            'email' => ['required'],
            'telepon' => ['required'],
            'alamat' => ['required'],
        ]);
        if ($validator->fails()) {
            return back()->with(['error'=>'Data Tidak Lengkap.']);
        }else{
            $cek = pasiens::where('del',0)->where('no_rm',$forms['no_rm'])->first();
            if (isset($cek)) {
                return back()->with(['warning'=>'Nomor RM Sudah Dipakai.']);
            }else{
                pasiens::create($forms);
                return back()->with(['success'=>'Data Berhasil Disimpan.']);
            }
        }
    }

    public function update(Request $request)
    {
        $forms = $request->all();
        $cek = pasiens::find($forms['id']);
        if(isset($cek)){
            $cek2 = pasiens::where('del',0)->where('no_rm',$forms['no_rm'])->first();
            if(isset($cek2)){
                if($cek->id != $cek2->id){
                    return back()->with(['warning'=>'Nomor RM Sudah Dipakai.']);
                }
            }
            $cek->update($forms);
            return back()->with(['success'=>'Data berhasil diupdate.']);
        }else{
            return back()->with(['error'=>'Data Tidak Ada.']);
        }
    }

    public function hapus(Request $request)
    {
        $forms = $request->all();
        $cek = pasiens::find($forms['id']);
        if(isset($cek)){
            $cek->update(['del'=>1]);
            return back()->with(['warning'=>'Data berhasil dihapus.']);
        }else{
            return back()->with(['error'=>'Data Tidak Ada.']);
        }
    }
}
