<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use App\Models\User;
use App\Models\polis;
use Auth;

class UserController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $data = user::where('del',0)->get();
        $poli = polis::where('del',0)->get();
        return view('user/index', compact('data','poli'));
    }

    public function store(Request $request)
    {
        $forms = $request->all();
        $validator = Validator::make($request->all(), [
            'email' => ['required'],
            'name' => ['required'],
            'level' => ['required'],
            'kode_poli' => ['required'],
            'alamat' => ['required'],
            'telepon' => ['required'],
            'password' => ['required'],
        ]);
        if ($validator->fails()) {
            return back()->with(['error'=>'Data Tidak Lengkap.']);
        }else{
            $cek = user::where('del',0)->where('email',$forms['email'])->first();
            if (isset($cek)) {
                return back()->with(['warning'=>'Email Sudah Dipakai.']);
            }else{
                $forms['password'] = Hash::make($forms['password']);
                user::create($forms);
                return back()->with(['success'=>'Data Berhasil Disimpan.']);
            }
        }
    }

    public function update(Request $request)
    {
        $forms = $request->all();
        $cek = user::find($forms['id']);
        if(isset($cek)){
            $cek2 = user::where('del',0)->where('email',$forms['email'])->first();
            if(isset($cek2)){
                if($cek->id != $cek2->id){
                    return back()->with(['warning'=>'Email Sudah Dipakai.']);
                }
            }
            $cek->update($forms);
            return back()->with(['success'=>'Data berhasil diupdate.']);
        }else{
            return back()->with(['error'=>'Data Tidak Ada.']);
        }
    }

    public function hapus(Request $request)
    {
        $forms = $request->all();
        $cek = user::find($forms['id']);
        if(isset($cek)){
            $cek->update(['del'=>1]);
            return back()->with(['warning'=>'Data berhasil dihapus.']);
        }else{
            return back()->with(['error'=>'Data Tidak Ada.']);
        }
    }
}
