@extends('layouts.main')

@section('content')
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Data Pengiriman</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Data</a></li>
                        <li class="breadcrumb-item active">Data Pengiriman</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            @if (Session::has('success'))
                <div class="alert alert-success alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h5><i class="icon fas fa-check"></i> <span
                            style="font-size: 1rem;">{{ Session::get('success') }}</span>
                    </h5>
                </div>
            @endif
            @if (Session::has('error'))
                <div class="alert alert-danger alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h5><i class="icon fas fa-ban"></i> <span style="font-size: 1rem;">{{ Session::get('error') }}</span>
                    </h5>
                </div>
            @endif
            @if (Session::has('warning'))
                <div class="alert alert-warning alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h5><i class="icon fas fa-exclamation-triangle"></i> <span
                            style="font-size: 1rem;">{{ Session::get('warning') }}</span>
                    </h5>
                </div>
            @endif
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-9">
                                    <h3 class="card-title">Data Pengiriman</h3>
                                </div>
                                <div class="col-3 text-right">
                                    <button type="button" class="btn btn-sm btn-success" data-toggle="modal"
                                        data-target="#modal_tambah">Tambah</button>
                                </div>
                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Kode Kirim</th>
                                        {{-- <th>Nama</th> --}}
                                        <th>Pasien</th>
                                        <th>Jenis</th>
                                        <th>Jadwal</th>
                                        <th>Pesan</th>
                                        <th>Pembuat</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($data as $d)
                                        <tr>
                                            <td>{{ $d->kode_kirim }}</td>
                                            {{-- <td>{{ $d->nama }}</td> --}}
                                            <td>
                                                <ul>
                                                    @foreach ($d->pasien as $dd)
                                                        <li>{{ $dd->no_rm . '-' . $dd->nama }}</li>
                                                    @endforeach
                                                </ul>
                                            </td>
                                            <td>
                                                <?php
                                                if ($d->jenis == 0) {
                                                    echo 'Database Jadwal';
                                                } else {
                                                    echo 'Sekali Kirim';
                                                }
                                                ?>
                                            </td>
                                            <td>
                                                @if ($d->jenis == 0)
                                                    <ul>
                                                        @foreach ($d->jadwal as $dd)
                                                            <li>{{ $dd->kode_jadwal . '-' . $dd->nama }}</li>
                                                        @endforeach
                                                    </ul>
                                                @else
                                                    {{ $d->tanggal }} / {{ $d->waktu }}
                                                @endif
                                            </td>
                                            <td>{{ $d->get_pesan->kode_pesan }} - {{ $d->get_pesan->nama }}</td>
                                            <td>{{ $d->get_user->name }}</td>
                                            <td class="text-right">
                                                <button type="button" class="btn btn-sm btn-warning" data-toggle="modal"
                                                    data-target="#modal_edit"
                                                    onclick="
                                                    $('#modal_edit').find('input[name=id]').val({{ $d->id }});
                                                    $('#modal_edit').find('input[name=kode_kirim]').val('{{ $d->kode_kirim }}');
                                                    $('#modal_edit').find('input[name=nama]').val('{{ $d->nama }}');
                                                    document.getElementById('jenis').value = '{{ $d->jenis }}';
                                                    document.getElementById('kode_pesan').value = '{{ $d->kode_pesan }}';
                                                    $('#modal_edit').find('input[name=tanggal]').val('{{ $d->tanggal }}');
                                                    $('#modal_edit').find('input[name=waktu]').val('{{ $d->waktu }}');
                                                    if({{ $d->jenis }} == 0){
                                                        document.getElementById('kode_jadwal_e').style.display = 'flex';
                                                        document.getElementById('tanggal_e').style.display = 'none';
                                                        document.getElementById('waktu_e').style.display = 'none';
                                                    }else{
                                                        document.getElementById('kode_jadwal_e').style.display = 'none';
                                                        document.getElementById('tanggal_e').style.display = 'flex';
                                                        document.getElementById('waktu_e').style.display = 'flex';
                                                    };
                                                ">Edit</button>
                                                <button type="button" class="btn btn-sm btn-danger" data-toggle="modal"
                                                    data-target="#modal_hapus"
                                                    onclick="
                                                    $('#modal_hapus').find('input[name=id]').val({{ $d->id }});
                                                ">Hapus</button>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
    <div id="modal_tambah" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Tambah Data Pengiriman</h5>
                    <button type="button" class="bootbox-close-button close" data-dismiss="modal"
                        aria-hidden="true">×</button>
                </div>
                <form method="POST" action="{{ url('datakirims') }}">
                    <div class="modal-body">
                        @csrf
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Kode Kirim</label>
                            <div class="col-lg-9">
                                <input type="text" name="kode_kirim" placeholder="Kode Kirim" class="form-control">
                            </div>
                        </div>
                        {{-- <div class="form-group row">
                            <label class="col-form-label col-lg-3">Nama</label>
                            <div class="col-lg-9">
                                <input type="text" name="nama" placeholder="Nama" class="form-control">
                            </div>
                        </div> --}}
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Pasien</label>
                            <div class="col-lg-9">
                                <select class="js-example-basic-multiple" name="kode_pasien[]" multiple="multiple"
                                    style="width: 100%">
                                    @foreach ($pasien as $p)
                                        <option value="{{ $p->id }}">{{ $p->no_rm }} - {{ $p->nama }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Jenis Pengiriman</label>
                            <div class="col-lg-9">
                                <select name="jenis" id="jenis_t" class="form-control">
                                    <option value="0">Database Jadwal</option>
                                    <option value="1">Sekali Kirim</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group row" id="kode_jadwal_t">
                            <label class="col-form-label col-lg-3">Jadwal</label>
                            <div class="col-lg-9">
                                <select class="js-example-basic-multiple" name="kode_jadwal[]" multiple="multiple"
                                    style="width: 100%">
                                    @foreach ($jadwal as $p)
                                        <option value="{{ $p->id }}">{{ $p->kode_jadwal }} - {{ $p->nama }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group row" id="tanggal_t" style="display:none;">
                            <label class="col-form-label col-lg-3">Tanggal</label>
                            <div class="col-lg-9">
                                <input type="date" name="tanggal" placeholder="Tanggal" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row" id="waktu_t" style="display:none;">
                            <label class="col-form-label col-lg-3">Waktu</label>
                            <div class="col-lg-9">
                                <input type="time" name="waktu" placeholder="Waktu" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Pesan</label>
                            <div class="col-lg-9">
                                <select name="kode_pesan" class="form-control">
                                    <option value="">Pilih Pesan</option>
                                    @foreach ($pesan as $p)
                                        <option value="{{ $p->id }}">{{ $p->kode_pesan }} - {{ $p->nama }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button data-dismiss="modal" type="button" class="btn btn-secondary">Tidak</button>
                        <button data-bb-handler="confirm" type="submit" class="btn btn-success">Tambah</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div id="modal_edit" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit Data Pengiriman</h5>
                    <button type="button" class="bootbox-close-button close" data-dismiss="modal"
                        aria-hidden="true">×</button>
                </div>
                <form method="POST" action="{{ url('datakirims/ubah') }}">
                    <div class="modal-body">
                        @csrf
                        <input type="hidden" name="id">
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Kode Kirim</label>
                            <div class="col-lg-9">
                                <input type="text" name="kode_kirim" placeholder="Kode Kirim" class="form-control">
                            </div>
                        </div>
                        {{-- <div class="form-group row">
                            <label class="col-form-label col-lg-3">Nama</label>
                            <div class="col-lg-9">
                                <input type="text" name="nama" placeholder="Nama" class="form-control">
                            </div>
                        </div> --}}
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Pasien</label>
                            <div class="col-lg-9">
                                <select class="js-example-basic-multiple" name="kode_pasien[]" multiple="multiple"
                                    style="width: 100%">
                                    @foreach ($pasien as $p)
                                        <option value="{{ $p->id }}">{{ $p->no_rm }} - {{ $p->nama }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Jenis Pengiriman</label>
                            <div class="col-lg-9">
                                <select name="jenis" id="jenis" class="form-control">
                                    <option value="0">Database Jadwal</option>
                                    <option value="1">Sekali Kirim</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group row" id="kode_jadwal_e">
                            <label class="col-form-label col-lg-3">Jadwal</label>
                            <div class="col-lg-9">
                                <select class="js-example-basic-multiple" name="kode_jadwal[]" multiple="multiple"
                                    style="width: 100%">
                                    @foreach ($jadwal as $p)
                                        <option value="{{ $p->id }}">{{ $p->kode_jadwal }} - {{ $p->nama }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group row" id="tanggal_e">
                            <label class="col-form-label col-lg-3">Tanggal</label>
                            <div class="col-lg-9">
                                <input type="date" name="tanggal" id="tanggal" placeholder="Tanggal"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="form-group row" id="waktu_e">
                            <label class="col-form-label col-lg-3">Waktu</label>
                            <div class="col-lg-9">
                                <input type="time" name="waktu" id="waktu" placeholder="Waktu"
                                    class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Pesan</label>
                            <div class="col-lg-9">
                                <select name="kode_pesan" id="kode_pesan" class="form-control">
                                    <option value="">Pilih Pesan</option>
                                    @foreach ($pesan as $p)
                                        <option value="{{ $p->id }}">{{ $p->kode_pesan }} - {{ $p->nama }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button data-dismiss="modal" type="button" class="btn btn-secondary">Tidak</button>
                        <button data-bb-handler="confirm" type="submit" class="btn btn-warning">Update</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div id="modal_hapus" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Hapus Data Pengiriman</h5>
                    <button type="button" class="bootbox-close-button close" data-dismiss="modal"
                        aria-hidden="true">×</button>
                </div>
                <form method="POST" action="{{ url('datakirims/hapus') }}">
                    <div class="modal-body">
                        @csrf
                        <input type="hidden" name="id">
                        <div class="form-group row">
                            <label class="col-form-label col-lg-12">Apakah Anda Yakin Menghapus Data Pengiriman
                                Ini?</label>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button data-dismiss="modal" type="button" class="btn btn-secondary">Tidak</button>
                        <button data-bb-handler="confirm" type="submit" class="btn btn-danger">Hapus</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@section('javascript')
    <script>
        $(function() {
            $("#example1").DataTable({
                "responsive": true,
                "lengthChange": false,
                "autoWidth": false,
                "buttons": ["copy", "csv"]
                // "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
            }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
            $('#example2').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": false,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "responsive": true,
            });
        });

        $('#jenis').on('change', function() {
            var a = $(this).val();
            if (a == 0) {
                document.getElementById('kode_jadwal_e').style.display = 'flex';
                document.getElementById('tanggal_e').style.display = 'none';
                document.getElementById('waktu_e').style.display = 'none';
            } else {
                document.getElementById('kode_jadwal_e').style.display = 'none';
                document.getElementById('tanggal_e').style.display = 'flex';
                document.getElementById('waktu_e').style.display = 'flex';
            };
        });

        $('#jenis_t').on('change', function() {
            var a = $(this).val();
            if (a == 0) {
                document.getElementById('kode_jadwal_t').style.display = 'flex';
                document.getElementById('tanggal_t').style.display = 'none';
                document.getElementById('waktu_t').style.display = 'none';
            } else {
                document.getElementById('kode_jadwal_t').style.display = 'none';
                document.getElementById('tanggal_t').style.display = 'flex';
                document.getElementById('waktu_t').style.display = 'flex';
            };
        });

        $(document).ready(function() {
            $('.js-example-basic-single').select2();
        });
        $(document).ready(function() {
            $('.js-example-basic-multiple').select2();
        });
    </script>
@endsection
