@extends('layouts.main')

@section('content')
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Pasien</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Master Data</a></li>
                        <li class="breadcrumb-item active">Pasien</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            @if (Session::has('success'))
                <div class="alert alert-success alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h5><i class="icon fas fa-check"></i> <span
                            style="font-size: 1rem;">{{ Session::get('success') }}</span>
                    </h5>
                </div>
            @endif
            @if (Session::has('error'))
                <div class="alert alert-danger alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h5><i class="icon fas fa-ban"></i> <span style="font-size: 1rem;">{{ Session::get('error') }}</span>
                    </h5>
                </div>
            @endif
            @if (Session::has('warning'))
                <div class="alert alert-warning alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h5><i class="icon fas fa-exclamation-triangle"></i> <span
                            style="font-size: 1rem;">{{ Session::get('warning') }}</span>
                    </h5>
                </div>
            @endif
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-9">
                                    <h3 class="card-title">Data Master Pasien</h3>
                                </div>
                                <div class="col-3 text-right">
                                    <button type="button" class="btn btn-sm btn-success" data-toggle="modal"
                                        data-target="#modal_tambah">Tambah</button>
                                </div>
                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Nomor RM</th>
                                        <th>NIK</th>
                                        <th>Nama</th>
                                        <th>Tgl Lahir</th>
                                        <th>Email</th>
                                        <th>Alamat</th>
                                        <th>Telepon</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($data as $d)
                                        <tr>
                                            <td>{{ $d->no_rm }}</td>
                                            <td>{{ $d->nik }}</td>
                                            <td>{{ $d->nama }}</td>
                                            <td>{{ $d->ttl }}</td>
                                            <td>{{ $d->email }}</td>
                                            <td>{{ $d->alamat }}</td>
                                            <td>{{ $d->telepon }}</td>
                                            <td class="text-right">
                                                <button type="button" class="btn btn-sm btn-warning" data-toggle="modal"
                                                    data-target="#modal_edit"
                                                    onclick="
                                                    $('#modal_edit').find('input[name=id]').val({{ $d->id }});
                                                    $('#modal_edit').find('input[name=no_rm]').val('{{ $d->no_rm }}');
                                                    $('#modal_edit').find('input[name=nik]').val('{{ $d->nik }}');
                                                    $('#modal_edit').find('input[name=nama]').val('{{ $d->nama }}');
                                                    $('#modal_edit').find('input[name=ttl]').val('{{ $d->ttl }}');
                                                    $('#modal_edit').find('input[name=email]').val('{{ $d->email }}');
                                                    $('#modal_edit').find('input[name=alamat]').val('{{ $d->alamat }}');
                                                    $('#modal_edit').find('input[name=telepon]').val('{{ $d->telepon }}');
                                                ">Edit</button>
                                                <button type="button" class="btn btn-sm btn-danger" data-toggle="modal"
                                                    data-target="#modal_hapus"
                                                    onclick="
                                                    $('#modal_hapus').find('input[name=id]').val({{ $d->id }});
                                                ">Hapus</button>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
    <div id="modal_tambah" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Tambah Pasien</h5>
                    <button type="button" class="bootbox-close-button close" data-dismiss="modal"
                        aria-hidden="true">×</button>
                </div>
                <form method="POST" action="{{ url('pasien') }}">
                    <div class="modal-body">
                        @csrf
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Nomor RM</label>
                            <div class="col-lg-9">
                                <input type="text" name="no_rm" placeholder="Nomor RM" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">NIK</label>
                            <div class="col-lg-9">
                                <input type="text" name="nik" placeholder="NIK" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Nama</label>
                            <div class="col-lg-9">
                                <input type="text" name="nama" placeholder="Nama" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Tanggal Lahir</label>
                            <div class="col-lg-9">
                                <input type="date" name="ttl" placeholder="TTL" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Email</label>
                            <div class="col-lg-9">
                                <input type="text" name="email" placeholder="Email" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Alamat</label>
                            <div class="col-lg-9">
                                <input type="text" name="alamat" placeholder="Alamat" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Telepon</label>
                            <div class="col-lg-9">
                                <input type="text" name="telepon" placeholder="Telepon" class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button data-dismiss="modal" type="button" class="btn btn-secondary">Tidak</button>
                        <button data-bb-handler="confirm" type="submit" class="btn btn-success">Tambah</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div id="modal_edit" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit Pasien</h5>
                    <button type="button" class="bootbox-close-button close" data-dismiss="modal"
                        aria-hidden="true">×</button>
                </div>
                <form method="POST" action="{{ url('pasien/ubah') }}">
                    <div class="modal-body">
                        @csrf
                        <input type="hidden" name="id">
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Nomor RM</label>
                            <div class="col-lg-9">
                                <input type="text" name="no_rm" placeholder="Nomor RM" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">NIK</label>
                            <div class="col-lg-9">
                                <input type="text" name="nik" placeholder="NIK" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Nama</label>
                            <div class="col-lg-9">
                                <input type="text" name="nama" placeholder="Nama" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Tanggal Lahir</label>
                            <div class="col-lg-9">
                                <input type="date" name="ttl" placeholder="TTL" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Email</label>
                            <div class="col-lg-9">
                                <input type="text" name="email" placeholder="Email" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Alamat</label>
                            <div class="col-lg-9">
                                <input type="text" name="alamat" placeholder="Alamat" class="form-control">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-lg-3">Telepon</label>
                            <div class="col-lg-9">
                                <input type="text" name="telepon" placeholder="Telepon" class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button data-dismiss="modal" type="button" class="btn btn-secondary">Tidak</button>
                        <button data-bb-handler="confirm" type="submit" class="btn btn-warning">Update</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div id="modal_hapus" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Hapus Pasien</h5>
                    <button type="button" class="bootbox-close-button close" data-dismiss="modal"
                        aria-hidden="true">×</button>
                </div>
                <form method="POST" action="{{ url('pasien/hapus') }}">
                    <div class="modal-body">
                        @csrf
                        <input type="hidden" name="id">
                        <div class="form-group row">
                            <label class="col-form-label col-lg-12">Apakah Anda Yakin Menghapus Pasien Ini?</label>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button data-dismiss="modal" type="button" class="btn btn-secondary">Tidak</button>
                        <button data-bb-handler="confirm" type="submit" class="btn btn-danger">Hapus</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@section('javascript')
    <script>
        $(function() {
            $("#example1").DataTable({
                "responsive": true,
                "lengthChange": false,
                "autoWidth": false,
                "buttons": ["copy", "csv"]
                // "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
            }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
            $('#example2').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": false,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "responsive": true,
            });
        });
    </script>
@endsection
