<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PolisController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\PasiensController;
use App\Http\Controllers\JadwalsController;
use App\Http\Controllers\PesansController;
use App\Http\Controllers\DatakirimsController;
use App\Http\Controllers\HistorisController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('login');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::post('logout', [App\Http\Controllers\HomeController::class, 'logout'])->name('logout');

Route::post('/poli/ubah', [App\Http\Controllers\PolisController::class, 'update'])->name('poli.ubah');
Route::post('/poli/hapus', [App\Http\Controllers\PolisController::class, 'hapus'])->name('poli.hapus');
Route::resource('poli', PolisController::class);

Route::post('/user/ubah', [App\Http\Controllers\UserController::class, 'update'])->name('user.ubah');
Route::post('/user/hapus', [App\Http\Controllers\UserController::class, 'hapus'])->name('user.hapus');
Route::resource('user', UserController::class);

Route::post('/pasien/ubah', [App\Http\Controllers\PasiensController::class, 'update'])->name('pasien.ubah');
Route::post('/pasien/hapus', [App\Http\Controllers\PasiensController::class, 'hapus'])->name('pasien.hapus');
Route::resource('pasien', PasiensController::class);

Route::post('/jadwals/ubah', [App\Http\Controllers\JadwalsController::class, 'update'])->name('jadwals.ubah');
Route::post('/jadwals/hapus', [App\Http\Controllers\JadwalsController::class, 'hapus'])->name('jadwals.hapus');
Route::resource('jadwals', JadwalsController::class);

Route::post('/pesans/ubah', [App\Http\Controllers\PesansController::class, 'update'])->name('pesans.ubah');
Route::post('/pesans/hapus', [App\Http\Controllers\PesansController::class, 'hapus'])->name('pesans.hapus');
Route::resource('pesans', PesansController::class);

Route::post('/datakirims/ubah', [App\Http\Controllers\DatakirimsController::class, 'update'])->name('datakirims.ubah');
Route::post('/datakirims/hapus', [App\Http\Controllers\DatakirimsController::class, 'hapus'])->name('datakirims.hapus');
Route::resource('datakirims', DatakirimsController::class);

Route::get('/kirim/{id}/{jenis}', [App\Http\Controllers\DatakirimsController::class, 'kirimwa'])->name('kirimwa');
Route::get('/kirim', [App\Http\Controllers\DatakirimsController::class, 'kirimkan'])->name('kirimkan');

Route::resource('historis', HistorisController::class);
